20995319 logilab-common update for pyorbit-27 s11-update
authorJohn Beck <John.Beck@Oracle.COM>
Fri, 01 May 2015 10:30:59 -0700
branchs11-update
changeset 4239 b0b944824f84
parent 4238 59cf6fd337ea
child 4241 9c60eb0ab04b
20995319 logilab-common update for pyorbit-27
components/logilab-common/Makefile
components/logilab-common/logilab-common-27.p5m
--- a/components/logilab-common/Makefile	Thu Mar 05 15:53:36 2015 -0800
+++ b/components/logilab-common/Makefile	Fri May 01 10:30:59 2015 -0700
@@ -81,3 +81,4 @@
 test:	$(TEST_NO_ARCH)
 
 REQUIRED_PACKAGES += library/python-2/pyorbit-26
+REQUIRED_PACKAGES += library/python/pyorbit-27
--- a/components/logilab-common/logilab-common-27.p5m	Thu Mar 05 15:53:36 2015 -0800
+++ b/components/logilab-common/logilab-common-27.p5m	Fri May 01 10:30:59 2015 -0700
@@ -99,15 +99,15 @@
 depend type=optional \
     fmri=library/python-2/[email protected],5.11-0.175.3.0.0.16.0
 
-# This is commented out until there is a 2.7 version available.
-# pkgdepend should have picked up the dependency on
-# /library/python-2/pyorbit-27
-#depend fmri=__TBD #    pkg.debug.depend.file=usr/lib/python2.7/vendor-packages/CORBA.py #    pkg.debug.reason=usr/lib/python2.7/vendor-packages/logilab/common/corbautils.py #    type=require
-
 # force a dependency on the Python 2.7 runtime
 depend type=require fmri=__TBD pkg.debug.depend.file=python2.7 \
     pkg.debug.depend.path=usr/bin
 
+# pkgdepend should have picked up the dependency on /library/python/pyorbit-27
+depend type=require fmri=__TBD \
+    pkg.debug.depend.file=usr/lib/python2.7/vendor-packages/CORBA.py \
+    pkg.debug.reason=usr/lib/python2.7/vendor-packages/logilab/common/corbautils.py
+
 # force a dependency on the logilab-common package
 depend type=require \
     fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)